import http from "../http-common";
import store from "../store/index";

class DataService {

  fetchCitizenExistenceBasedOnSSN(): boolean {
    const citizenInformation = http.post('home');
    if (citizenInformation) {
      this.setCitizenInformation(citizenInformation)
      return true;
    }
    else {
      return false;
    }
  }

  //All data has to be managed and stored from here (Exception Handling)
  setCitizenInformation(citizenInformation: any) {
    citizenInformation.then(
      (response: {
        data: {
          CompleteProb: number; FallProb: number; ComplianceProb: number;
          CompleteShapValues: any; FallShapValues: any; Arguments: any;
        };
      }) => {
        store.dispatch("probabilityComplete", response.data.CompleteProb);
        store.dispatch("probabilityFall", response.data.FallProb);
        store.dispatch("compliance", response.data.ComplianceProb);
        store.dispatch("arguments", response.data.Arguments);
        store.dispatch("shapComplete", response.data.CompleteShapValues);
        store.dispatch("shapFall", response.data.FallShapValues);
      }
    );
  }
}

export default new DataService();
